Subject: hpff: Re: (x3j3.1996-73) NSS

From: "Jerrold L. Wagener" <[email-masked]>
Date: Sun, 10 Mar 1996 16:36:32 -0500

Dr. Besalu,
thank you for your note about NSS.  By copy of this reply I will forward it to both the international Fortran standards group (SC22/WG5) and the group instrumental in developing FORALL parallelism (HPFF).

I'm afraid you're too late for Fortran 95, as that has essentially gone to press, but WG5 is calling now for proposed requirements for Fortran 2000.  You might want to contact Dr. Miles Ellis ([email-masked]) with regard to submiting such a proposal.  The procedure is that such proposals are submited by national bodies to WG5 - Dr. Ellis can put you in touch with the appropriate contact in Spain.

I'm sure that those individuals in X3J3, WG5, and HPFF interested in high performance and in better mouse traps, so to speak, will look at NSS on the web page you provided.  But there is no guarantee that any will champion its cause; as with most anything, the best approach is to champion it yourself within these various groups.

Thanks again for your note, and let me know if there is anything more I can do to assist you in this matter.

Jerry Wagener
chair, X3J3
[email-masked]
[email-masked]

==========================================
>  
> I know you are related to the standards of Fortran 95. I'm a 
> programmer using this language and I have developed an algorithm 
> called Nested Summation Symbol (NSS) which is close related to the 
> FORALL sentence. Although the NSS is more general. 
> It is also parallellizable. I think it is undoubtedly a better choice 
> than the FORALL sentence. A NSS  symbolizes AN ARBITRARY number 
> of summation symbols or DO LOOPS. This is the main difference between 
> the FORALL sentence and the NSS. The FORALL sentence allows only 
> the representation of a FIXED number of summation symbols or loops. 
>  
> I wonder if you may be interested into this new algorithm. In this 
> case you can contact me via E-mail. Also I invite you to see my WWW 
> page at the location http://stark.udg.es/cat/emili.html. 
> There you can find more information about the NSS: code, 
> examples, references, and more. 
>  
> In some papers I have suggested the implementation of the NSS into 
> the high level languages, such as Fortran or C. 
>  
> Please, do not hesitate to visit my WWW page. 
>  
> Perhaps the NSS construct may be worth to be included into the 
> Fortran 95 standard. 
>  
> Please, give me an answer! (at least in order to know if this message 
> has been read)  Thanks for your attention. 
>  
>               Bye !     
>  
>                            E. Besal£ 
>  

==========================================
Jerrold L. Wagener      [email-masked]
6 E 5th, Suite 308        918-592-3023
Tulsa, OK    74103